List retries for a webhook - Dwolla Developer Portal
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
GET
https://api.dwolla.comhttps://api-sandbox.dwolla.com
/webhooks/{id}/retries
cURL
GET https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8/retries
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var webhookUrl =
"https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8";
dwolla.get(`${webhookUrl}/retries`).then((res) => res.body.total); // => 1
Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
webhook_url = 'https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8'
retries = app_token.get('%s/retries' % webhook_url)
retries.body['total'] # => 1
Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$webhookUrl = 'https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8';
$webhooksApi = new DwollaSwagger\WebhooksApi($apiClient);
$retries = $webhooksApi->retriesById($webhookUrl);
$retries->total; # => 1
Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
webhook_url = 'https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8'
retries = app_token.get "#{webhook_url}/retries"
retries.total # => 1
Responses
Response Codes
- 200
- 404
Successful Response Example
{
"_links": {
"self": {
"href": "https://api.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8/retries"
}
},
"_embedded": {
"retries": [
{
"_links": {
"self": {
"href": "https://api.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8/retries/5aa27a0f-cf99-418d-a3ee-67c0ff99a494"
},
"webhook": {
"href": "https://api.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8"
}
},
"id": "5aa27a0f-cf99-418d-a3ee-67c0ff99a494",
"timestamp": "2022-11-02T17:43:26.000Z"
}
]
},
"total": 1
}
Error Response Example
{
"code": "NotFound",
"message": "The requested resource was not found."
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
- Accept
- Type: enum
- Default: application/vnd.dwolla.v1.hal+json
- Required: Yes
- Type: enum
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Path Parameters
- id
- Type: string
- Required: Yes
- Description: Webhook unique identifier
Response
- 200
- Content-Type: application/vnd.dwolla.v1.hal+json
- Description: successful operation